Skip to content
Guides
Fulfillment & ShippingMethods
settings:update

Update shipping method

Updates a shipping or pickup method's price, eligibility limits, schedule, provider connection, pickup points, and checkout visibility.

PUT/v1/shipping/methods/{id}

Updates a shipping or pickup method's price, eligibility limits, schedule, provider connection, pickup points, and checkout visibility.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/shipping/methods/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "displayName": "Example resource",    "type": "regular",    "basePrice": 1,    "currency": "PEN",    "estimatedDeliveryDays": 1,    "estimatedDeliveryHours": 1,    "allowShowCalendar": false  }'
Empty